package server

import (
	"os"
	"path"

	"coopcloud.tech/abra/pkg/config"
	"coopcloud.tech/abra/pkg/log"
)

// CreateServerDir creates a server directory under ~/.abra.
func CreateServerDir(serverName string) error {
	serverPath := path.Join(config.ABRA_DIR, "servers", serverName)

	if err := os.Mkdir(serverPath, 0764); err != nil {
		if !os.IsExist(err) {
			return err
		}

		log.Debugf("%s already exists", serverPath)
		return nil
	}

	log.Debugf("successfully created %s", serverPath)

	return nil
}
